<?php
/**
 * Archie Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage Archie Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function archie_pro_custom_colors_css() {
  	$options= archie_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	.main-navigation ul#primary-menu li.current-menu-item > a:before,
	.btn,
	#about-us .section-title:after,
	.btn-primary,
	.backtotop,
	.blog-posts .post-categories,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover, 
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	#respond input[type="submit"],
	#main-slider .slick-dots li.slick-active button:before,
	#main-slider .slick-dots li button:hover:before,
	#main-slider .slick-dots li button:focus:before,
	#our-services .read-more a:hover:before,
	#latest-posts article:hover .entry-container .read-more:before,
	#client-testimonial .entry-header:after,
	#subscribe-submit input[type=submit]:hover,
	.classic-menu .main-navigation ul#primary-menu > li.current-menu-item > a::before,
	.classic-menu .main-navigation ul#primary-menu > li:hover > a::before,
	.classic-menu .main-navigation ul#primary-menu > li:focus > a::before,
	.comment-body .reply a:hover:before { 
		background-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.main-navigation ul#primary-menu li.current-menu-item > a, 
	.main-navigation ul#primary-menu li:hover > a, 
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover, 
	.main-navigation a:focus, 
	.main-navigation ul.nav-menu > li > a:hover, 
	.main-navigation ul.nav-menu > li > a:focus,
	.site-title a:hover,
	.site-title a:focus,
	#main-slider .entry-title a:hover, 
	#main-slider .entry-title a:focus,
	.footer-widgets-area .widget ul li a:hover,
	.site-info a:hover,
	#main-slider .btn.btn-deafult:hover,
	.icon-play a:hover,
	.widget ul li a:hover, .widget.widget_archive ul li a:hover,
	.widget.widget_categories ul li a:hover,
	.widget.widget_archive ul li:hover,
	.widget.widget_categories ul li:hover,
	#call-to-action .icon-container .fa,
	#top-navigation .widget_contact_info ul li a:hover, 
	#top-navigation .widget_contact_info ul li a:focus,
	#our-services .entry-title a:hover,
	.icon-container .fa:hover,
	#our-services .read-more a:hover,
	#our-services .read-more a:hover:before,
	#latest-posts .section-content article:hover .entry-container .read-more a,
	.btn.btn-deafult:hover,
	#client-testimonial span.position,
	.section-title.color-black:after,
	#latest-projects article .entry-title a:hover,
	#latest-projects .slick-slide.slick-current .count,
	#latest-projects .entry-title a:hover, 
	#latest-projects .entry-title a:focus,
	#our-services .entry-title a:hover, 
	#our-services .entry-title a:focus,
	.posts-wrapper  .entry-title a:hover, 
	.posts-wrapper  .entry-title a:focus,
	#client-testimonial .entry-title a:hover, 
	#client-testimonial .entry-title a:focus,
	.footer-widgets-area a:hover, 
	.footer-widgets-area a:focus,
	.pagination .page-numbers.current, 
	.pagination .page-numbers:hover, 
	.pagination .page-numbers:focus,
	.widget_popular_post h3 a:hover, 
	.widget_popular_post h3 a:focus, 
	.widget_popular_post a:hover time, 
	.widget_popular_post a:focus time, 
	.widget_recent_post h3 a:hover, 
	.widget_recent_post h3 a:focus, 
	.widget_recent_post a:hover time, 
	.widget_recent_post a:focus time,
	.post-categories a,
	.single-post-wrapper .entry-container .tagcloud a:hover,
	.post-navigation a:hover span, .post-navigation a:focus span,
	.posts-navigation a:hover span,
	.posts-navigation a:focus span,
	.post-navigation a:hover svg,
	.post-navigation a:focus svg,
	.posts-navigation a:hover svg,
	.posts-navigation a:focus svg,
	.header-meta a:hover,
	.single-post-wrapper span.tags-link a:hover, 
	.single-post-wrapper span.tags-link a:focus,
	.post-navigation a:hover, 
	.posts-navigation a:hover, 
	.post-navigation a:focus, 
	.posts-navigation a:focus,
	.comment-meta .url:hover, 
	.comment-meta .url:focus, 
	.comment-metadata a, 
	.comment-metadata a time,
	.trail-items li a:hover,
	.trail-items li a:focus,
	.black-sidebar #secondary .widget_popular_post a time, 
	.black-sidebar #secondary .widget_popular_post time, 
	.black-sidebar #secondary .widget_recent_post a time, 
	.black-sidebar #secondary .widget_recent_post time,
	.comment-meta .url:hover,
	.comment-meta .fn:hover,
	.reply a:hover,
	.black-sidebar #secondary a:hover, 
	.black-sidebar #secondary a:focus,
	a {
		color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.main-navigation ul#primary-menu li:hover > svg, 
	.main-navigation ul#primary-menu li:focus > svg, 
	.main-navigation li.menu-item-has-children:hover > a > svg, 
	.main-navigation li.menu-item-has-children > a:hover > svg, 
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search, 
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search, 
	.main-navigation li.search-menu a:hover svg, 
	.main-navigation li.search-menu a:focus svg, 
	.main-navigation li.search-menu a.search-active svg,
	.icon-container a:hover svg, 
	.icon-container a:focus svg,
	.navigation.posts-navigation a:hover svg, 
	.navigation.post-navigation a:hover svg,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.pagination .prev.page-numbers:hover,
	.loader-container svg { 
		fill: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.single-post-wrapper span.tags-link a:hover, 
	.single-post-wrapper span.tags-link a:focus,
	.video-text,
	#latest-projects .seperator { 
		border-color: ' . esc_attr($color_value) . '; 
	}';

	$css .= '
	.slick-active .slider-nav .slide-title,
	.more-link,
	#latest-posts .section-content article:hover,
	#latest-posts .section-content article:focus { 
		border-bottom-color: ' . esc_attr($color_value) . '; 
	}';

	/**
	 * Filters Archie Pro custom colors CSS.
	 *
	 * @since Archie Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'archie_pro_custom_colors_css', $css );
}
